收藏官网首页
查看: 3920|回复: 7

[求助] APICloud开发APP,GIZ_OPENAPI_TIMESTAMP_INVALID 错误

1

主题

4

帖子

153

积分

注册会员

Rank: 2

积分
153
发表于 2017-6-11 19:04:54 | 显示全部楼层 |阅读模式
校园创客福利
利用APICloud gizWifiSDK.bindRemoteDevice 绑定设备, 一直没问题。  最近发现了如果手机带到国外,在不同时区设备绑定不了。 一番追查后,发现 gizWifiSDK.bindRemoteDevice 回调 errorCode: 9043, msg: GIZ_OPENAPI_TIMESTAMP_INVALID.


但是机智云下载回来的Demo App 没有绑定问题。 求救应该如何在不同时区利用APICloud 的gizWifiSDK 接口绑定设备?




34

主题

895

帖子

2253

积分

超级版主

Rank: 8Rank: 8

积分
2253
发表于 2017-6-12 11:51:00 | 显示全部楼层
请问你SDK的启动接口。填的参数是什么呢

点评

var params = { "uid": uid, "token": token, "mac": mac, "productKey": window.productKey, "productSecret": window.productSecret }; gizWifiSDK.bindRemoteDevice  详情 回复 发表于 2017-6-12 13:23

1

主题

4

帖子

153

积分

注册会员

Rank: 2

积分
153
 楼主| 发表于 2017-6-12 13:23:13 | 显示全部楼层
boboP 发表于 2017-6-12 11:51
请问你SDK的启动接口。填的参数是什么呢

                        var params = {
                            "uid": uid,
                            "token": token,
                            "mac": mac,
                            "productKey": window.productKey,
                            "productSecret": window.productSecret
                        };
                        gizWifiSDK.bindRemoteDevice(params , function(ret, err) {
                                var did = ret.did;
                                var gizWifiDevice = api.require('gizWifiDevice');
                                gizWifiDevice.setCustomInfo({
                               "device": {
                                        "did": did,
                                        "mac": mac
                                       },
                                    "alias": name
                                }, function(ret, err) { .........

34

主题

895

帖子

2253

积分

超级版主

Rank: 8Rank: 8

积分
2253
发表于 2017-6-12 16:25:48 | 显示全部楼层
我说的是SDK的启动接口,startWithAppID这个方法的

点评

startWithAppID, userLogin 到后面的getBoundDevices 都没有发现error。 var init = function(){ var params = { appID : window.appId }; gizWifiSDK = api.require('gizWifiSDK'); gizWifiSDK.startW  详情 回复 发表于 2017-6-12 17:31

1

主题

4

帖子

153

积分

注册会员

Rank: 2

积分
153
 楼主| 发表于 2017-6-12 17:31:51 | 显示全部楼层
汉枫LPB120模块
boboP 发表于 2017-6-12 16:25
我说的是SDK的启动接口,startWithAppID这个方法的

startWithAppID, userLogin 到后面的getBoundDevices 都没有发现error。

        var init = function(){
                var params = {
                        appID : window.appId
                };
                gizWifiSDK = api.require('gizWifiSDK');
                gizWifiSDK.startWithAppID(params, function(ret, err) {
                           //alert("ret = " + JSON.stringify(ret) + "err = " + JSON.stringify(err));                             
                    if(ret.errorCode == 8316){
                            setTimeout("startWithAppIDCB();",2000);
                    }
                });
        };
        var uid = "";
        var token = "";
        var startWithAppIDCB = function(){
                var adminpwd = getAdminAndPwd();
                if ( typeof (adminpwd.admin) != "undefined") {
                        LoginTimeOutFlag = 0;
                        LoginTimeOut = setTimeout(function() {
                                if (LoginTimeOutFlag == 0) {
                                        bf_common_view.bf_win.popToast("Login timeout");
                                        bf_common_view.bf_win.openWin('login','./');
                                        setTimeout("api.removeLaunchView();", 1000);
                                        return;
                                }
                        }, 15000);                               
                        gizWifiSDK.userLogin(jsonSetAdminAndPwd(adminpwd.admin, adminpwd.pwd), function(ret, err) {
..............

71

主题

169

帖子

1223

积分

金牌会员

Rank: 6Rank: 6

积分
1223
发表于 2017-6-13 07:16:18 | 显示全部楼层
1,你使用的SDK版本号是多少?可以使用官网最新SDK试试(如果不是最新的);2,如果是最新的SDK,则要考虑实现全球部署功能了。

点评

SDK是最新的。 请教一下,如何实现全球部署功能呢?  详情 回复 发表于 2017-6-14 10:01

1

主题

4

帖子

153

积分

注册会员

Rank: 2

积分
153
 楼主| 发表于 2017-6-14 10:01:51 | 显示全部楼层
dwli 发表于 2017-6-13 07:16
1,你使用的SDK版本号是多少?可以使用官网最新SDK试试(如果不是最新的);2,如果是最新的SDK,则要考虑 ...

SDK是最新的。  请教一下,如何实现全球部署功能呢?

71

主题

169

帖子

1223

积分

金牌会员

Rank: 6Rank: 6

积分
1223
发表于 2017-6-15 19:24:14 | 显示全部楼层
sunny__ 发表于 2017-6-14 10:01
SDK是最新的。  请教一下,如何实现全球部署功能呢?

你下载官网的demo,最下面有“个人中心”,点击去有“独立部署设置”,里面可以选择地区。
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

加入Q群 返回顶部

© 2011-2017 Gizwits ( 粤ICP备11090211号 )

快速回复 返回顶部 返回列表